/*
 * GToolKit - Objective-C interface to the GIMP Toolkit
 * Copyright (c) 1998, 1999, 2000  Elmar Ludwig
 *
 * Generated automatically from gtksheet.h by gtkgen.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
#ifndef GTKSHEET_H
#define GTKSHEET_H

#include <GToolKit/GTKContainer.h>
#include <gtksheet/gtksheet.h>

@class GTKAdjustment;
@class GTKWidget;

@interface GTKSheet : GTKContainer
+ (GtkType) getType;
+ (GtkType) rangeGetType;
+ (id) sheetWithRows:(gint) rows columns:(gint) columns title:(NSString *) title;
- (id) initWithRows:(gint) rows columns:(gint) columns title:(NSString *) title;
+ (id) sheetBrowserWithRows:(gint) rows columns:(gint) columns title:(NSString *) title;
- (id) initBrowserWithRows:(gint) rows columns:(gint) columns title:(NSString *) title;
+ (id) sheetWithCustomEntry:(gint) rows columns:(gint) columns title:(NSString *) title entryType:(GtkType) entry_type;
- (id) initWithCustomEntry:(gint) rows columns:(gint) columns title:(NSString *) title entryType:(GtkType) entry_type;
- (void) setHadjustment:(GTKAdjustment *) adjustment;
- (void) setVadjustment:(GTKAdjustment *) adjustment;
- (void) changeEntry:(GtkType) entry_type;
- (GTKWidget *) getEntry;
- (gint) getState;
- (gint) getColumnsCount;
- (gint) getRowsCount;
- (void) getVisibleRange:(GtkSheetRange *) range;
- (void) setSelectionMode:(gint) mode;
- (void) setTitle:(NSString *) title;
- (void) freeze;
- (void) thaw;
- (void) setColumn:(gint) column title:(NSString *) title;
- (void) setRow:(gint) row title:(NSString *) title;
- (void) rowButtonAdd:(gint) row label:(NSString *) label;
- (void) columnButtonAdd:(gint) column label:(NSString *) label;
- (void) rowButtonJustify:(gint) row justification:(GtkJustification) justification;
- (void) columnButtonJustify:(gint) column justification:(GtkJustification) justification;
- (void) moveto:(gint) row column:(gint) column rowAlign:(gfloat) row_align colAlign:(gfloat) col_align;
- (void) setRowTitlesWidth:(gint) width;
- (void) setColumnTitlesHeight:(gint) height;
- (void) showColumnTitles;
- (void) showRowTitles;
- (void) hideColumnTitles;
- (void) hideRowTitles;
- (void) columnSetSensitivity:(gint) column sensitive:(gboolean) sensitive;
- (void) columnsSetSensitivity:(gboolean) sensitive;
- (void) rowSetSensitivity:(gint) row sensitive:(gboolean) sensitive;
- (void) rowsSetSensitivity:(gboolean) sensitive;
- (void) columnSetVisibility:(gint) column visible:(gboolean) visible;
- (void) columnLabelSetVisibility:(gint) column visible:(gboolean) visible;
- (void) columnsLabelsSetVisibility:(gboolean) visible;
- (void) rowSetVisibility:(gint) row visible:(gboolean) visible;
- (void) rowLabelSetVisibility:(gint) row visible:(gboolean) visible;
- (void) rowsLabelsSetVisibility:(gboolean) visible;
- (void) selectRow:(gint) row;
- (void) selectColumn:(gint) column;
- (void) clipRange:(GtkSheetRange *) range;
- (void) unclipRange;
- (GTKAdjustment *) getVadjustment;
- (GTKAdjustment *) getHadjustment;
- (void) selectRange:(const GtkSheetRange *) range;
- (void) unselectRange;
- (gint) setActiveCell:(gint) row column:(gint) column;
- (void) getActiveCell:(gint *) row column:(gint *) column;
- (void) setCell:(int) row col:(gint) col justification:(GtkJustification) justification text:(NSString *) text;
- (void) setCellText:(int) row col:(gint) col text:(NSString *) text;
- (NSString *) cellGetText:(gint) row col:(gint) col;
- (void) cellClear:(gint) row col:(gint) col;
- (void) cellDelete:(gint) row col:(gint) col;
- (void) rangeClear:(const GtkSheetRange *) range;
- (void) rangeDelete:(const GtkSheetRange *) range;
- (int) cellGetState:(gint) row col:(gint) col;
- (void) linkCell:(gint) row col:(gint) col link:(gpointer) link;
- (gpointer) getLink:(gint) row col:(gint) col;
- (void) removeLink:(gint) row col:(gint) col;
- (gint) getPixelInfo:(gint) x y:(gint) y row:(gint *) row column:(gint *) column;
- (gint) getCellArea:(gint) row column:(gint) column area:(GdkRectangle *) area;
- (void) setColumn:(gint) column width:(gint) width;
- (void) setRow:(gint) row height:(gint) height;
- (void) addColumn:(gint) ncols;
- (void) addRow:(gint) nrows;
- (void) insertRows:(gint) row nrows:(gint) nrows;
- (void) insertColumns:(gint) col ncols:(gint) ncols;
- (void) deleteRows:(gint) row nrows:(gint) nrows;
- (void) deleteColumns:(gint) col ncols:(gint) ncols;
- (void) rangeSetBackground:(GtkSheetRange *) range color:(GdkColor *) color;
- (void) rangeSetForeground:(GtkSheetRange *) range color:(GdkColor *) color;
- (void) rangeSet:(GtkSheetRange *) range justification:(GtkJustification) justification;
- (void) columnSet:(gint) column justification:(GtkJustification) justification;
- (void) rangeSet:(GtkSheetRange *) range editable:(gint) editable;
- (void) rangeSet:(GtkSheetRange *) range visible:(gint) visible;
- (void) rangeSetBorder:(GtkSheetRange *) range mask:(gint) mask width:(gint) width lineStyle:(gint) line_style;
- (void) rangeSetBorder:(GtkSheetRange *) range color:(GdkColor *) color;
- (void) rangeSet:(GtkSheetRange *) range font:(GdkFont *) font;
- (gboolean) getAttributes:(gint) row col:(gint) col attributes:(GtkSheetCellAttr *) attributes;
- (GtkSheetChild *) put:(GTKWidget *) widget x:(gint) x y:(gint) y;
- (void) attach:(GTKWidget *) widget row:(gint) row col:(gint) col xAlign:(gfloat) x_align yAlign:(gfloat) y_align;
- (void) moveChild:(GTKWidget *) widget x:(gint) x y:(gint) y;
- (GtkSheetChild *) getChildAt:(gint) row col:(gint) col;
- (void) buttonAttach:(GTKWidget *) widget row:(gint) row col:(gint) col xAlign:(gfloat) x_align yAlign:(gfloat) y_align;
@end

#endif /* GTKSHEET_H */
