/*
 * GToolKit - Objective-C interface to the GIMP Toolkit
 * Copyright (c) 1998, 1999, 2000  Elmar Ludwig
 *
 * Generated automatically from gtksheet.h by gtkgen.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
#include <GTKSheet.h>
#include <GToolKit/GTKWidget.h>
#include <GToolKit/GTKAdjustment.h>

@implementation GTKSheet
+ (GtkType) getType
{
    return gtk_sheet_get_type();
}
+ (GtkType) rangeGetType
{
    return gtk_sheet_range_get_type();
}
+ (id) sheetWithRows:(gint) rows columns:(gint) columns title:(NSString *) title
{
    return [[(GTKSheet *)[self alloc] initWithRows:rows columns:columns title:title] autorelease];
}
- (id) initWithRows:(gint) rows columns:(gint) columns title:(NSString *) title
{
    return [self initWithGtk:gtk_sheet_new( rows , columns ,gtoolkit_utf8_string( title))];
}
+ (id) sheetBrowserWithRows:(gint) rows columns:(gint) columns title:(NSString *) title
{
    return [[(GTKSheet *)[self alloc] initBrowserWithRows:rows columns:columns title:title] autorelease];
}
- (id) initBrowserWithRows:(gint) rows columns:(gint) columns title:(NSString *) title
{
    return [self initWithGtk:gtk_sheet_new_browser( rows , columns ,gtoolkit_utf8_string( title))];
}
+ (id) sheetWithCustomEntry:(gint) rows columns:(gint) columns title:(NSString *) title entryType:(GtkType) entry_type
{
    return [[(GTKSheet *)[self alloc] initWithCustomEntry:rows columns:columns title:title entryType:entry_type] autorelease];
}
- (id) initWithCustomEntry:(gint) rows columns:(gint) columns title:(NSString *) title entryType:(GtkType) entry_type
{
    return [self initWithGtk:gtk_sheet_new_with_custom_entry( rows , columns ,gtoolkit_utf8_string( title ), entry_type)];
}
- (void) setHadjustment:(GTKAdjustment *) adjustment
{
    gtk_sheet_set_hadjustment(gtk, adjustment ? adjustment->gtk : 0);
}
- (void) setVadjustment:(GTKAdjustment *) adjustment
{
    gtk_sheet_set_vadjustment(gtk, adjustment ? adjustment->gtk : 0);
}
- (void) changeEntry:(GtkType) entry_type
{
    gtk_sheet_change_entry(gtk, entry_type);
}
- (GTKWidget *) getEntry
{
    return gtoolkit_object(gtk_sheet_get_entry(gtk), 0);
}
- (gint) getState
{
    return gtk_sheet_get_state(gtk);
}
- (gint) getColumnsCount
{
    return gtk_sheet_get_columns_count(gtk);
}
- (gint) getRowsCount
{
    return gtk_sheet_get_rows_count(gtk);
}
- (void) getVisibleRange:(GtkSheetRange *) range
{
    gtk_sheet_get_visible_range(gtk, range);
}
- (void) setSelectionMode:(gint) mode
{
    gtk_sheet_set_selection_mode(gtk, mode);
}
- (void) setTitle:(NSString *) title
{
    gtk_sheet_set_title(gtk,gtoolkit_utf8_string( title));
}
- (void) freeze
{
    gtk_sheet_freeze(gtk);
}
- (void) thaw
{
    gtk_sheet_thaw(gtk);
}
- (void) setColumn:(gint) column title:(NSString *) title
{
    gtk_sheet_set_column_title(gtk, column ,gtoolkit_utf8_string( title));
}
- (void) setRow:(gint) row title:(NSString *) title
{
    gtk_sheet_set_row_title(gtk, row ,gtoolkit_utf8_string( title));
}
- (void) rowButtonAdd:(gint) row label:(NSString *) label
{
    gtk_sheet_row_button_add_label(gtk, row ,gtoolkit_utf8_string( label));
}
- (void) columnButtonAdd:(gint) column label:(NSString *) label
{
    gtk_sheet_column_button_add_label(gtk, column ,gtoolkit_utf8_string( label));
}
- (void) rowButtonJustify:(gint) row justification:(GtkJustification) justification
{
    gtk_sheet_row_button_justify(gtk, row , justification);
}
- (void) columnButtonJustify:(gint) column justification:(GtkJustification) justification
{
    gtk_sheet_column_button_justify(gtk, column , justification);
}
- (void) moveto:(gint) row column:(gint) column rowAlign:(gfloat) row_align colAlign:(gfloat) col_align
{
    gtk_sheet_moveto(gtk, row , column , row_align , col_align);
}
- (void) setRowTitlesWidth:(gint) width
{
    gtk_sheet_set_row_titles_width(gtk, width);
}
- (void) setColumnTitlesHeight:(gint) height
{
    gtk_sheet_set_column_titles_height(gtk, height);
}
- (void) showColumnTitles
{
    gtk_sheet_show_column_titles(gtk);
}
- (void) showRowTitles
{
    gtk_sheet_show_row_titles(gtk);
}
- (void) hideColumnTitles
{
    gtk_sheet_hide_column_titles(gtk);
}
- (void) hideRowTitles
{
    gtk_sheet_hide_row_titles(gtk);
}
- (void) columnSetSensitivity:(gint) column sensitive:(gboolean) sensitive
{
    gtk_sheet_column_set_sensitivity(gtk, column , sensitive);
}
- (void) columnsSetSensitivity:(gboolean) sensitive
{
    gtk_sheet_columns_set_sensitivity(gtk, sensitive);
}
- (void) rowSetSensitivity:(gint) row sensitive:(gboolean) sensitive
{
    gtk_sheet_row_set_sensitivity(gtk, row , sensitive);
}
- (void) rowsSetSensitivity:(gboolean) sensitive
{
    gtk_sheet_rows_set_sensitivity(gtk, sensitive);
}
- (void) columnSetVisibility:(gint) column visible:(gboolean) visible
{
    gtk_sheet_column_set_visibility(gtk, column , visible);
}
- (void) columnLabelSetVisibility:(gint) column visible:(gboolean) visible
{
    gtk_sheet_column_label_set_visibility(gtk, column , visible);
}
- (void) columnsLabelsSetVisibility:(gboolean) visible
{
    gtk_sheet_columns_labels_set_visibility(gtk, visible);
}
- (void) rowSetVisibility:(gint) row visible:(gboolean) visible
{
    gtk_sheet_row_set_visibility(gtk, row , visible);
}
- (void) rowLabelSetVisibility:(gint) row visible:(gboolean) visible
{
    gtk_sheet_row_label_set_visibility(gtk, row , visible);
}
- (void) rowsLabelsSetVisibility:(gboolean) visible
{
    gtk_sheet_rows_labels_set_visibility(gtk, visible);
}
- (void) selectRow:(gint) row
{
    gtk_sheet_select_row(gtk, row);
}
- (void) selectColumn:(gint) column
{
    gtk_sheet_select_column(gtk, column);
}
- (void) clipRange:(GtkSheetRange *) range
{
    gtk_sheet_clip_range(gtk, range);
}
- (void) unclipRange
{
    gtk_sheet_unclip_range(gtk);
}
- (GTKAdjustment *) getVadjustment
{
    return gtoolkit_object(gtk_sheet_get_vadjustment(gtk), 0);
}
- (GTKAdjustment *) getHadjustment
{
    return gtoolkit_object(gtk_sheet_get_hadjustment(gtk), 0);
}
- (void) selectRange:(const GtkSheetRange *) range
{
    gtk_sheet_select_range(gtk, range);
}
- (void) unselectRange
{
    gtk_sheet_unselect_range(gtk);
}
- (gint) setActiveCell:(gint) row column:(gint) column
{
    return gtk_sheet_set_active_cell(gtk, row , column);
}
- (void) getActiveCell:(gint *) row column:(gint *) column
{
    gtk_sheet_get_active_cell(gtk, row , column);
}
- (void) setCell:(int) row col:(gint) col justification:(GtkJustification) justification text:(NSString *) text
{
    gtk_sheet_set_cell(gtk, row , col , justification ,gtoolkit_utf8_string( text));
}
- (void) setCellText:(int) row col:(gint) col text:(NSString *) text
{
    gtk_sheet_set_cell_text(gtk, row , col ,gtoolkit_utf8_string( text));
}
- (NSString *) cellGetText:(gint) row col:(gint) col
{
    return gtoolkit_objc_string(gtk_sheet_cell_get_text(gtk, row , col));
}
- (void) cellClear:(gint) row col:(gint) col
{
    gtk_sheet_cell_clear(gtk, row , col);
}
- (void) cellDelete:(gint) row col:(gint) col
{
    gtk_sheet_cell_delete(gtk, row , col);
}
- (void) rangeClear:(const GtkSheetRange *) range
{
    gtk_sheet_range_clear(gtk, range);
}
- (void) rangeDelete:(const GtkSheetRange *) range
{
    gtk_sheet_range_delete(gtk, range);
}
- (int) cellGetState:(gint) row col:(gint) col
{
    return gtk_sheet_cell_get_state(gtk, row , col);
}
- (void) linkCell:(gint) row col:(gint) col link:(gpointer) link
{
    gtk_sheet_link_cell(gtk, row , col , link);
}
- (gpointer) getLink:(gint) row col:(gint) col
{
    return gtk_sheet_get_link(gtk, row , col);
}
- (void) removeLink:(gint) row col:(gint) col
{
    gtk_sheet_remove_link(gtk, row , col);
}
- (gint) getPixelInfo:(gint) x y:(gint) y row:(gint *) row column:(gint *) column
{
    return gtk_sheet_get_pixel_info(gtk, x , y , row , column);
}
- (gint) getCellArea:(gint) row column:(gint) column area:(GdkRectangle *) area
{
    return gtk_sheet_get_cell_area(gtk, row , column , area);
}
- (void) setColumn:(gint) column width:(gint) width
{
    gtk_sheet_set_column_width(gtk, column , width);
}
- (void) setRow:(gint) row height:(gint) height
{
    gtk_sheet_set_row_height(gtk, row , height);
}
- (void) addColumn:(gint) ncols
{
    gtk_sheet_add_column(gtk, ncols);
}
- (void) addRow:(gint) nrows
{
    gtk_sheet_add_row(gtk, nrows);
}
- (void) insertRows:(gint) row nrows:(gint) nrows
{
    gtk_sheet_insert_rows(gtk, row , nrows);
}
- (void) insertColumns:(gint) col ncols:(gint) ncols
{
    gtk_sheet_insert_columns(gtk, col , ncols);
}
- (void) deleteRows:(gint) row nrows:(gint) nrows
{
    gtk_sheet_delete_rows(gtk, row , nrows);
}
- (void) deleteColumns:(gint) col ncols:(gint) ncols
{
    gtk_sheet_delete_columns(gtk, col , ncols);
}
- (void) rangeSetBackground:(GtkSheetRange *) range color:(GdkColor *) color
{
    gtk_sheet_range_set_background(gtk, range , color);
}
- (void) rangeSetForeground:(GtkSheetRange *) range color:(GdkColor *) color
{
    gtk_sheet_range_set_foreground(gtk, range , color);
}
- (void) rangeSet:(GtkSheetRange *) range justification:(GtkJustification) justification
{
    gtk_sheet_range_set_justification(gtk, range , justification);
}
- (void) columnSet:(gint) column justification:(GtkJustification) justification
{
    gtk_sheet_column_set_justification(gtk, column , justification);
}
- (void) rangeSet:(GtkSheetRange *) range editable:(gint) editable
{
    gtk_sheet_range_set_editable(gtk, range , editable);
}
- (void) rangeSet:(GtkSheetRange *) range visible:(gint) visible
{
    gtk_sheet_range_set_visible(gtk, range , visible);
}
- (void) rangeSetBorder:(GtkSheetRange *) range mask:(gint) mask width:(gint) width lineStyle:(gint) line_style
{
    gtk_sheet_range_set_border(gtk, range , mask , width , line_style);
}
- (void) rangeSetBorder:(GtkSheetRange *) range color:(GdkColor *) color
{
    gtk_sheet_range_set_border_color(gtk, range , color);
}
- (void) rangeSet:(GtkSheetRange *) range font:(GdkFont *) font
{
    gtk_sheet_range_set_font(gtk, range , font);
}
- (gboolean) getAttributes:(gint) row col:(gint) col attributes:(GtkSheetCellAttr *) attributes
{
    return gtk_sheet_get_attributes(gtk, row , col , attributes);
}
- (GtkSheetChild *) put:(GTKWidget *) widget x:(gint) x y:(gint) y
{
    return gtk_sheet_put(gtk, widget  ? widget ->gtk : 0, x , y);
}
- (void) attach:(GTKWidget *) widget row:(gint) row col:(gint) col xAlign:(gfloat) x_align yAlign:(gfloat) y_align
{
    gtk_sheet_attach(gtk, widget  ? widget ->gtk : 0, row , col , x_align , y_align);
}
- (void) moveChild:(GTKWidget *) widget x:(gint) x y:(gint) y
{
    gtk_sheet_move_child(gtk, widget  ? widget ->gtk : 0, x , y);
}
- (GtkSheetChild *) getChildAt:(gint) row col:(gint) col
{
    return gtk_sheet_get_child_at(gtk, row , col);
}
- (void) buttonAttach:(GTKWidget *) widget row:(gint) row col:(gint) col xAlign:(gfloat) x_align yAlign:(gfloat) y_align
{
    gtk_sheet_button_attach(gtk, widget  ? widget ->gtk : 0, row , col , x_align , y_align);
}
@end
