/* This file is part of StatistX
**
** It is distributed under the GNU General Public License.
** See the file COPYING for details.
** 
** (c) Andreas Beyer, 2000
** abeyer@usf.uni-osnabrueck.de
**
**  http://www.usf.Uni-Osnabrueck.DE/~abeyer/private/StatistX/
**  
***************************************************************/

/* BrowseButton.h
 * Button to open a file selection dialog 
 * and *replace* text of delegate by selected file name.
 * 
 * See SXSettings.m for examples.
 */
#ifndef Class_BrowseButton
#define Class_BrowseButton

#include <Foundation/NSObject.h>
#include <Foundation/NSString.h>
#include <GToolKit/GToolKit.h>

@interface BrowseButton: GTKButton {
	GTKEditable	*delegate;
	GTKFileSelection *filesel;
}
+buttonWithDelegate: (GTKEditable*) editable_widget;
+buttonWithLabel: (const NSString*) label delegate: (GTKEditable*) editable_widget;
-initWithDelegate: (GTKEditable*) editable_widget;
-initWithLabel: (const NSString*) label delegate: (GTKEditable*) editable_widget;
// connect to delegate
-(void)setDelegate: (GTKEditable*) editable_widget;
-(void)raiseFileDialog;
@end
#endif // Class_BrowseButton
