/* This file is part of StatistX
**
** It is distributed under the GNU General Public License.
** See the file COPYING for details.
** 
** (c) Andreas Beyer, 1999
** abeyer@usf.uni-osnabrueck.de
**
**  http://www.usf.Uni-Osnabrueck.DE/~abeyer/private/StatistX/
**  
***************************************************************/

/** FileList.h - Organizes the list of files in the File-submenu.
 *
 *	Andreas Beyer, 1999
 */
#ifndef Class_FileList
#define Class_FileList

#include "sx_defs.h"

@class NSMutableArray;
@class NSString;
@class GTKItemFactory;

@interface FileList: NSObject {
	// list of last opened files (paths)
	NSMutableArray*	lastFiles;
	GTKItemFactory*	item_factory;
	unsigned		max_n_files;
}
+fileListWithItemFactory:(GTKItemFactory*) item_factory maxNFiles:(unsigned) n;
-initWithItemFactory:(GTKItemFactory*) item_factory maxNFiles:(unsigned) n;
-(void)addFileName:(NSString*) file_name;
@end

#endif // Class_FileList
