/* This file is part of StatistX
**
** It is distributed under the GNU General Public License.
** See the file COPYING for details.
** 
** (c) Andreas Beyer, 2000
** abeyer@usf.uni-osnabrueck.de
**
**  http://www.usf.Uni-Osnabrueck.DE/~abeyer/private/StatistX/
**  
***************************************************************/

/**	GPPrintDialog.h - Dialog, that requests parameters 
 *	for printing gnuplot plots.
 *
 *	If not '+runDialog' is used,
 *	instances have to be run explicetly by calling
 
 	[GTKApp runModalForWindow: my_GPPrintDialog];

 *
 *	Andreas Beyer, 2000
 */
#ifndef Class_GPPrintDialog
#define Class_GPPrintDialog

#include <Foundation/NSObject.h>
#include <Foundation/NSString.h>
#include <GToolKit/GToolKit.h>

enum sx_styles {
	sx_color,
	sx_mono,
	sx_solid,
	sx_dashed
};

@interface GPPrintDialog : GTKDialog {
	GTKButton*	ok_button;
	GTKButton*	cancel_button;
	GTKCombo*	combo;
	GTKRadioButton *radio_color, *radio_mono, 
			   *radio_solid, *radio_dashed;
// Parameters which can be set by the user:
	GTKEntry*	printerName;
	int		color_style,
			line_style;
}
// start a GPPrintDialog
+dialog;
-init;
-(void)stopWithTrue;
-(void)stopWithFalse;
// returns the string contained in the printer text field
-(NSString*)getPrinterName;
// returns sx_solid or sx_dashed
-(int)getLineStyle;
// returns sx_color or sx_mono 
-(int)getColorStyle;
-(GTKButton*)okButton;
-(GTKButton*)cancelButton;

@end

#endif;	// Class_GPPrintDialog
