/* This file is part of StatistX
**
** It is distributed under the GNU General Public License.
** See the file COPYING for details.
** 
** (c) Andreas Beyer, 1999
** abeyer@usf.uni-osnabrueck.de
**
**  http://www.usf.Uni-Osnabrueck.DE/~abeyer/private/StatistX/
**  
***************************************************************/

/**	GraphView.h - class to diplay (plot) graphs.
 *	Using gnuplot for this purpose.
 *
 *	Andreas Beyer, 1998
 */
#ifndef Class_GraphView
#define Class_GraphView

#include <Foundation/NSObject.h>

@class LineDialog;

@interface GraphView : NSObject {
	NSMutableArray * cmd_history;  // store commands sent to gnuplot
	LineDialog * line_dialog;
}
-(void) saveCurrentInFile: (NSString*) path 
		    gpOptions: (NSString*) gnuplot_options;
-(void) saveCurrentAsEPS: sender;
-(void) saveCurrentAsEPS_mono: sender;
-(void) printCurrent;
/** Print the current plot to printer named 'printer'.
	This method does nothing if 'printer' is a null-pointer,
	but it will take the default printer, if 'printer'
	is string of length 0.
	Make sure to set the terminal appropriately using the
	'gnuplot_options' argument! 
*/
-(void) printCurrentOnPrinter: (NSString*) printer
		    gpOptions: (NSString*) gnuplot_options;
// redraw the last plot
-(void) replot;
// Ask the user for a Gnuplot command and send it to Gnuplot
-(void) plotCommand:sender;
// send command to Gnuplot
-(void) plotCommandWithCommand: (NSString*) gnuplot_command;
@end
#endif	// Class_GraphView
