/* This file is part of StatistX
**
** It is distributed under the GNU General Public License.
** See the file COPYING for details.
** 
** (c) Andreas Beyer, 1999
** abeyer@usf.uni-osnabrueck.de
**
**  http://www.usf.Uni-Osnabrueck.DE/~abeyer/private/StatistX/
**  
***************************************************************/

/**	HistogramDialog.h - Dialog, that requests parameters 
 *	for histogram plot.
 *
 *	If not '+runHistogramDialogWithColumn:' is used,
 *	instances have to be run explicetly by calling
 
 	[GTKApp runModalForWindow: my_HistogramDialog];

 *
 *	Andreas Beyer, 1999
 */
#ifndef Class_HistogramDialog
#define Class_HistogramDialog

#include <Foundation/NSObject.h>
#include <Foundation/NSString.h>
#include <GToolKit/GToolKit.h>

@class Column;

@interface HistogramDialog : GTKDialog {
	GTKButton* ok_button;
	GTKButton* cancel_button;
	GTKCombo* combo;
// Column for which the histogram has to be created for
	Column* col;
// Parameters which can be set by the user:
	GTKSpinButton* n_classes; // number of classes
	GTKSpinButton *min, *max;
}
// start a HistogramDialog
+(BOOL)runDialogWithColumn: (Column*) _col;
+dialogWithColumn: (Column*) _col;
-initWithColumn: (Column*) _col;
-(void)stopWithTrue;
-(void)stopWithFalse;
-(int) getNClasses;	// return selected number of classes
-(double) getMin;
-(double) getMax;
-(GTKButton*)okButton;
-(GTKButton*)cancelButton;

@end

#endif;	// Class_HistogramDialog
