/* This file is part of StatistX
**
** It is distributed under the GNU General Public License.
** See the file COPYING for details.
** 
** (c) Andreas Beyer, 1999
** abeyer@usf.uni-osnabrueck.de
**
**  http://www.usf.Uni-Osnabrueck.DE/~abeyer/private/StatistX/
**  
***************************************************************/

/* LineDialog.h
 * Requests a single line of text from the user.
 *
 * Andreas Beyer, 1999
 */
#ifndef Class_LineDialog
#define Class_LineDialog

#include <GToolKit/GToolKit.h>

@class NSArray;
@class NSString;

@interface LineDialog: GTKDialog {
	GTKButton* ok_button, *cancel_button;
	GTKEntry*  entry;
	BOOL		with_combo;
	GTKCombo	*combo;
}

+(NSString*)runDialogWithTitle: (const NSString*) title
			message: (NSString*) message 
			   text: (NSString*) initial_text;

+(NSString*)runDialogWithTitle: (const NSString*) title 
			message: (NSString*) message 
			strings: (NSArray*)  list_of_strings;

/** This creates a dialog with the default buttons 'OK' and 'Cancel' */
-initWithTitle: (const NSString*) title
		message: (NSString*) message 
		text:  (const NSString*) initial_text;
/** This creates a dialog with the default buttons 'OK' and 'Cancel' */
-initWithTitle: (const NSString*) title
		message: (NSString*) message 
		strings: (NSArray*) string_array;

/** This initializer can be used to set the button labels explicitely. */
/*
-initWithTitle: (const NSString*) title
	 message: (NSString*) message
	 strings: (NSArray*) string_array
	 buttons: (NSString*) button1 :(NSString*) button2 :(NSString*) button3;
*/
// returns the current text in the Entry field
-(NSString*) getText;
-(GTKButton*)okButton; // first button
@end
#endif // Class_LineDialog
