/* This file is part of StatistX
**
** It is distributed under the GNU General Public License.
** See the file COPYING for details.
** 
** (c) Andreas Beyer, 1999
** abeyer@usf.uni-osnabrueck.de
**
**  http://www.usf.Uni-Osnabrueck.DE/~abeyer/private/StatistX/
**  
***************************************************************/

/**	Message.h - Dialog, that displays a single string.
 *	(Such like an error message.)
 *
 *	Andreas Beyer, 1998
 */
#ifndef Class_Message
#define Class_Message


#include <Foundation/NSObject.h>
#include <GToolKit/GToolKit.h>

#include "OKDialog.h"

/*
 * Display a modal message box or alert panel.
 * Return value is n-1 if button number n is clicked (e.g. 0 for button1).
 * Same as GTKRunMessageBox() in GTKApplication.m but places the panel in the
 * centre of the screen.
 */
 int SXRunMessageBox (NSString *title, NSString *format, NSString *button1,
		      NSString *button2, NSString *button3, ...);


@interface Message : OKDialog {
	NSString* contents;
}
+messageWithContents: (const NSString*) message title: (const NSString*) title ;
-initWithContents: (const NSString*) message title: (const NSString*) title ;
-(const NSString*) message;

@end

#endif;	// Class_Message
