/* This file is part of StatistX
**
** It is distributed under the GNU General Public License.
** See the file COPYING for details.
** 
** (c) Andreas Beyer, 2000
** abeyer@usf.uni-osnabrueck.de
**
**  http://www.usf.Uni-Osnabrueck.DE/~abeyer/private/StatistX/
**  
***************************************************************/

/* NumberDialog.h
 * Requests a number (double, int, unsigned) from the user.
 *
 * Andreas Beyer, 2000
 */
#ifndef Class_NumberDialog
#define Class_NumberDialog

#include <GToolKit/GToolKit.h>

enum SXType {
	SX_double,
	SX_int,
	SX_unsigned
};

@class NSString;

@interface NumberDialog: GTKDialog {
	GTKButton*	ok_button;
	GTKButton*	cancel_button;
	GTKSpinButton*	spinner;
	int		my_type;
}

+(double)runDialogWithTitle: (const NSString*) title
			   type: (int) type
			message: (NSString*) message
			 number: (double) initial_number;

/** This creates a dialog with the default buttons 'OK' and 'Cancel' */
-initWithTitle: (const NSString*) title
			   type: (int) type
			message: (NSString*) message
		   adjustment: (GTKAdjustment*) adjust;
// returns the current text in the Entry field
-(double) getNumber;
-(GTKButton*)okButton; // first button
-(GTKButton*)cancelButton;
@end
#endif // Class_NumberDialog
