/* This file is part of StatistX
**
** It is distributed under the GNU General Public License.
** See the file COPYING for details.
** 
** (c) Andreas Beyer, 1999
** abeyer@usf.uni-osnabrueck.de
**
**  http://www.usf.Uni-Osnabrueck.DE/~abeyer/private/StatistX/
**  
***************************************************************/

/**	OKDialog.h - Dialog, that requests only OK by the user.
 *	(Something like an error message.)
 *
 *	Andreas Beyer, 1998
 */
#include "OKDialog.h"

#include <Foundation/NSObject.h>
#include <Foundation/NSAutoreleasePool.h>
#include <Foundation/NSException.h>
#include <Foundation/NSString.h>

#include <GToolKit/GToolKit.h>

@implementation OKDialog

+OKDialogWithContents: (GTKWidget*) contents title: (NSString*) title {
	return [ (OKDialog*) [[self alloc] autorelease]
		initWithContents: contents title: title];
}

-initWithContents: (GTKWidget*) contents title: (NSString*) title {
	GTKButton* ok = [GTKButton buttonWithLabel: @"OK"];
	GTKVBox*   v_box; // do not initialize before init
	GTKHBox*   h_box; // do not initialize before init
	GtkButton *gtk_button = [ok gtk];
	[super init];

	if( ![title length] ) title = @"StatistX"; // default title
	v_box = (GTKVBox*) [self vbox];
	h_box = (GTKHBox*) [self actionArea];
	
	[ok setUsize: 85 height: 35];
	[h_box packStart:ok expand:YES fill:NO padding:0];
	gtk_misc_set_padding((GtkMisc *) gtk_button->child, 4, 0);
      GTK_WIDGET_SET_FLAGS(gtk_button, GTK_CAN_DEFAULT);
	[ok connectSignal:@"clicked" withAction:
        	[GTKAction actionWithTarget:self selector:@selector(destroy)]];

	vbox_contents = contents;
	[v_box packStart:contents expand:YES fill:YES padding:0];
	[v_box setBorderWidth: 10];

    	[self connectSignal:@"destroy" withAction:
	    [GTKAction actionWithTarget:GTKApp selector:@selector(stopModal)]];
	[self setTitle: title];
	[self setPosition: GTK_WIN_POS_CENTER ];

	[self show];
	[ok grabDefault];
	[ok grabFocus];
    	[GTKApp runModalForWindow: self];
	return self;
}

-(GTKWidget*) contents {
	return vbox_contents;
}
@end
