/* This file is part of StatistX
**
** It is distributed under the GNU General Public License.
** See the file COPYING for details.
** 
** (c) Andreas Beyer, 2000
** abeyer@usf.uni-osnabrueck.de
**
**  http://www.usf.Uni-Osnabrueck.DE/~abeyer/private/StatistX/
**  
***************************************************************/

/* SXHelp.h
 * Administrates help, help-browsers, etc.
 *
 */
#ifndef Class_SXHelp
#define Class_SXHelp

#include <Foundation/NSObject.h>
#include <Foundation/NSString.h>
#include <Foundation/NSDictionary.h>
#include <GToolKit/GToolKit.h>

static NSString* about_StatistX = 
@"StatistX, version %@\n\nWritten by\
\n\tAndreas Beyer - abeyer@uos.de\n\
\nContributions by\n\tFrank Koormann & Elmar Ludwig\n\
\nstatist was written by Dirk Melcher and Bernhard Reiter.\n\
\n(c) Andreas Beyer, 1999 - 2001";

@class HTMLView;

@interface SXHelp: NSObject {
	// if this is NO, no help files found
	BOOL			help_available;
	/** The *help-file* base directory. Will be something
	    like '/usr/local/doc/StatistX/' */
	NSString		* base_dir;
	NSMutableDictionary * index; // help index
	GTKDialog		* window;
	GTKCList		* index_list;
	HTMLView		* help_browser;
}
+helpManager;
-(BOOL)loadIndexFile: (NSString*) full_path;
-(BOOL)loadHelpFile: (NSString*) full_path;
/** Add text to the index, 'help_text' will be shown when 'key' is selected */
-(void)addToIndex: (NSString*) key path: (NSString*) a_help_file;
/** Open the main help dialog (index) */
-(void)raiseMainDialog;
// open an "About StatistX" dialog
-(void)raiseAboutDialog;
-(void)windowClosed;
/** Show help for term "index", returns NO if no help available */
-(BOOL)showHelpForIndex: (NSString*) index_entry;
@end

#endif // Class_SXHelp
