/* This file is part of StatistX
**
** It is distributed under the GNU General Public License.
** See the file COPYING for details.
** 
** (c) Andreas Beyer, 1999
** abeyer@usf.uni-osnabrueck.de
**
**  http://www.usf.Uni-Osnabrueck.DE/~abeyer/private/StatistX/
**  
***************************************************************/

/**	SelectColumnDialog.h - Dialog, that requests selection of a
 *    column by the user for a special action.
 *
 *	If not '+runSelectColumnDialogWithColumns:' is used,
 *	instances have to be run explicetly by calling
 
 	[GTKApp runModalForWindow: my_SelectColumnDialog];

 *
 *	Andreas Beyer, 1999
 */
#ifndef Class_SelectColumnDialog
#define Class_SelectColumnDialog

#include <Foundation/NSObject.h>
#include <Foundation/NSString.h>
#include <GToolKit/GToolKit.h>

@class Column;

@interface SelectColumnDialog : GTKDialog {
	GTKButton* ok_button;
	GTKButton* cancel_button;
	GTKCombo* combo;
	NSArray* cols;
}
// start a SelectColumnDialog and return the selected Column or NULL
+(Column*)runDialogWithColumns: (NSArray*) _cols 
		message: (NSString*) message 
		title: (const NSString*) title;
+dialogWithColumns: (NSArray*) cols 
		message: (NSString*) message 
		title: (const NSString*) title;
-initWithColumns: (NSArray*) cols 
		message: (NSString*) message 
		title: (const NSString*) title;
-(void)stopWithTrue;
-(void)stopWithFalse;
-(Column*) getSelectedColumn;
-(GTKButton*)okButton;
-(GTKButton*)cancelButton;

@end

#endif;	// Class_SelectColumnDialog
