/* This file is part of StatistX
**
** It is distributed under the GNU General Public License.
** See the file COPYING for details.
** 
** (c) Andreas Beyer, 1999
** abeyer@usf.uni-osnabrueck.de
**
**  http://www.usf.Uni-Osnabrueck.DE/~abeyer/private/StatistX/
**  
***************************************************************/

/**	TextPanel.h - Dialog, that displays multi lined text.
 *	(E.g. statist results.)
 *
 *	Andreas Beyer, 1999
 */
#ifndef Class_TextPanel
#define Class_TextPanel


#include <Foundation/NSObject.h>
#include <GToolKit/GToolKit.h>

@interface TextPanel : GTKDialog {
	GTKText* text;
}
// saveOption: allow saving of the text
+textPanelWithTitle: (const NSString*) title saveOption: (BOOL) save;
-initWithTitle: (const NSString*) title saveOption: (BOOL) save;
// consider NO save option:
+textPanelWithTitle: (const NSString*) title ;
-initWithTitle: (const NSString*) title;
// default is not editable
-(void)setEditable: (BOOL) editable;
-(void) appendString: (NSString*) string;
-(void) clearText;
-(NSString*) getText;
-(void) saveText;
@end

#endif;	// Class_Message
