/* This file is part of StatistX
**
** It is distributed under the GNU General Public License.
** See the file COPYING for details.
** 
** (c) Andreas Beyer, 1999 - 2000
** abeyer@usf.uni-osnabrueck.de
**
**  http://www.usf.Uni-Osnabrueck.DE/~abeyer/private/StatistX/
**  
***************************************************************/

/* Some of the constants from this file can be changed using the
   preferences dialog.
 */
#ifndef SX_DEFS_H
#define SX_DEFS_H

// default window sizes:
#define SX_DEFAULT_WIDTH 550
#define SX_DEFAULT_HEIGHT 600

#define STD_RC_FILE "~/.StatistX.rc"

// default data directory
#define SX_DATA_DIR "."

// maximum number of files which are shown as last opened files
// (should be possible to be defined by the user)
#define SX_MAX_LAST_FILES 5

// MUST be devidable by 4.
#define SX_BUF_LEN 512

/* character constants */
// Column separators. Used by class DataSet to distinguish columns in data files.
#define SX_COL_SEPARATORS "\t ,"

// start of comments in ASCII data files (up to the end of line)
#define SX_COMMENT_INDICATOR "#"
/* If the comment indicator is followed by the label indicator, the line
   contains the labels of the columns. The labels have to be before the
   first line of actual data!
 */
#define SX_LABEL_INDICATOR "%"
/* If a label string starts with the character '$' the corresponding column
   will be skiped when loading the data. See method -loadData
 */
#define SX_SKIP_COL_INDICATOR '$'

/* If a label string starts with the character '%' the corresponding column
   will be used as labels for the rows.
 */
#define SX_ROW_LABEL_INDICATOR '%'

#define SX_MISSING_VALUE 'M'

#define PATH_SEPARATOR "/"

/* This is the default print command. */
#define SX_PRINT_COMMANT "lpr"

#endif // SX_DEFS_H
