/* This file is part of StatistX
**
** It is distributed under the GNU General Public License.
** See the file COPYING for details.
** 
** (c) Andreas Beyer, 1999
** abeyer@usf.uni-osnabrueck.de
**
**  http://www.usf.Uni-Osnabrueck.DE/~abeyer/private/StatistX/
**  
***************************************************************/

#ifndef SX_FUNCS_H
#define SX_FUNCS_H

/* fill the string with '\0' */
void sx_clear_string( char* s, unsigned l );

/*  Create label for number 'i' and copy result in 's'. Returns NULL
    in case of an error. The number of characters used for the label is
    allway less then i+2. Except for i == 0 it is 2;
    Labels are of the form: A, B, C, ... Z, AA, AB, AC, ... AAA ... ZZZZZZZ
 */
char* sx_create_label( unsigned i, char* s );

/* Allocate array for n number of double values, filled with 0.
   Raises NSMallocException if fail.
 */
double* sx_calloc_double(unsigned n);

/** Copy col2 into col1. n = number of elements.*/
void sx_copy_d_array( double* col1, const double* col2, unsigned n );

/* - Create a new arrays with length = length + SX_BUF_LEN
   - Copy contents of old arrays into new arrays.
   - Free old arrays.
   Raises NSMallocException if fail.
 */
void sx_extend_array_length(double** arrays, unsigned n_arrays, unsigned length);

#endif /* SX_FUNCS_H */
